commit 4364e60929a1f96c3187a783babf324042e334c8
Author: Kyrylo Tkachov <kyrylo.tkachov@arm.com>
Date:   Fri Sep 25 17:32:43 2020 +0100

    AArch64: Add Linux cpuinfo string for rng feature
    
    The Linux kernel has defined the cpuinfo string for the +rng feature, so
    this patch adds that to GCC so that -march=native can pick it up.
    Bootstrapped and tested on aarch64-none-linux-gnu.
    
    gcc/
            * config/aarch64/aarch64-option-extensions.def (rng): Add
            cpuinfo string.
    
    (cherry picked from commit 0d8f3f612d662ea3007c184a11ea5eb7d58760e7)

diff --git a/gcc/config/aarch64/aarch64-option-extensions.def b/gcc/config/aarch64/aarch64-option-extensions.def
index 8257df9c7fd..ca0864220da 100644
--- a/gcc/config/aarch64/aarch64-option-extensions.def
+++ b/gcc/config/aarch64/aarch64-option-extensions.def
@@ -155,7 +155,7 @@ AARCH64_OPT_EXTENSION("sve", AARCH64_FL_SVE, AARCH64_FL_FP | AARCH64_FL_SIMD | \
 AARCH64_OPT_EXTENSION("profile", AARCH64_FL_PROFILE, 0, 0, false, "")
 
 /* Enabling/Disabling "rng" only changes "rng".  */
-AARCH64_OPT_EXTENSION("rng", AARCH64_FL_RNG, 0, 0, false, "")
+AARCH64_OPT_EXTENSION("rng", AARCH64_FL_RNG, 0, 0, false, "rng")
 
 /* Enabling/Disabling "memtag" only changes "memtag".  */
 AARCH64_OPT_EXTENSION("memtag", AARCH64_FL_MEMTAG, 0, 0, false, "")

